Draft Ligne

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Line and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Page suivante: Polyligne Draft Wire.svg Arrow-right.svg

Draft Line.svg Draft Ligne

Emplacement du menu
Drafting → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
0.7
Voir aussi
Draft Polyligne

Description

La commande Draft Line.svg Draft Ligne crée une ligne droite.

Une Draft Ligne est en fait une Draft Polyligne avec seulement deux points.

Draft Line example.jpg

Ligne définie par deux points

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
  2. Le panneau de tâches Line s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez le deuxième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs X, Y et Z et appuyez sur Entrée après chacune ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Pour utiliser des coordonnées polaires, entrez une valeur pour la Longueur et une valeur pour l'Angle et appuyez sur Entrée après chacune d'elles.
  • Cochez la case Angle pour contraindre le pointeur à l'angle spécifié.
  • Appuyez sur H pour faire passer le curseur de X à Longueur et inversement. Selon la saisie, la case Angle est cochée ou décochée.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier point, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des lignes.
  • Le bouton Draft UndoLine.svg Annuler n'a pas d'utilité pour cette commande.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour abandonner la commande.

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées, longueurs et angles : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier le champ initial du panneau des tâches sur le champ de saisie de Longueur : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Mettre l'accent sur la longueur plutôt que la coordonnée X. Notez que vous devez déplacer le pointeur dans la vue 3D pour que le changement prenne effet.
  • Si le Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Utiliser les primitives de Part si possible est cochée, la commande créera une Part Ligne au lieu d'une Draft ligne.

Propriétés

Voir Draft Polylignes.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Ligne, utilisez la méthode make_line (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeLine.

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Crée une Ligne entre les points p1 et p2 chacun défini par son FreeCAD.Vector, avec les unités en millimètres.
  • Crée un objet Ligne à partir d'un Part.LineSegment.
  • Crée un objet Ligne du premier sommet au dernier sommet de la Shape donnée.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()


FreeCAD.png
Page suivante: Polyligne Draft Wire.svg Arrow-right.svg